Package org.tmatesoft.svn.core.wc2

# Class SvnDiffStatus

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnObject
org.tmatesoft.svn.core.wc2.SvnDiffStatus

public class SvnDiffStatus extends SvnObject
Represents short information on path changes in `SvnDiffSummarize` operation.

Version:
  1.7
Author:
  TMate Software Ltd.
See Also:
  - `SvnDiffSummarize`

## Constructor Summary

Constructors
Constructor
Description
`SvnDiffStatus()`

## Method Summary

Modifier and Type
Method
Description
`File`
`getFile()`
Returns `File` representation of the working copy item path.
`SVNNodeKind`
`getKind()`
Returns the node kind of the working copy item.
`SVNStatusType`
`getModificationType()`
Returns the type of modification for the current item.
`String`
`getPath()`
Returns a relative path of the item.
`SVNURL`
`getUrl()`
Returns URL of the item.
`boolean`
`isPropertiesModified()`
Returns whether properties of the working copy item are modified.
`void`
`setFile(File file)`
Sets `File` representation of the working copy item path.
`void`
`setKind(SVNNodeKind kind)`
Sets the node kind of the working copy item.
`void`
`setModificationType(SVNStatusType modificationType)`
Sets the type of modification for the current item.
`void`
`setPath(String path)`
Sets a relative path of the item.
`void`
`setPropertiesModified(boolean propertiesModified)`
Sets whether properties of the working copy item are modified.
`void`
`setUrl(SVNURL url)`
Sets URL of the item.

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnObject

`getUserData, setUserData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SvnDiffStatus

public SvnDiffStatus()

## Method Details

### getModificationType

public SVNStatusType getModificationType()
Returns the type of modification for the current item.

Returns:
  a path change type

### setModificationType

public void setModificationType(SVNStatusType modificationType)
Sets the type of modification for the current item.

Parameters:
  `modificationType` - a path change type

### isPropertiesModified

public boolean isPropertiesModified()
Returns whether properties of the working copy item are modified.

Returns:
  `true` if properties were modified in a particular revision, otherwise `false`

### setPropertiesModified

public void setPropertiesModified(boolean propertiesModified)
Sets whether properties of the working copy item are modified.

Parameters:
  `propertiesModified` - `true` if properties were modified in a particular revision, otherwise `false`

### getKind

public SVNNodeKind getKind()
Returns the node kind of the working copy item.

Returns:
  node kind

### setKind

public void setKind(SVNNodeKind kind)
Sets the node kind of the working copy item.

Parameters:
  `kind` - node kind

### getUrl

public SVNURL getUrl()
Returns URL of the item.

Returns:
  item url

### setUrl

public void setUrl(SVNURL url)
Sets URL of the item.

Parameters:
  `url` - item url

### getPath

public String getPath()
Returns a relative path of the item. Relative path is set for working copy items and relative to the anchor of diff status operation.

Returns:
  item path

### setPath

public void setPath(String path)
Sets a relative path of the item. Relative path should be set for working copy items and relative to the anchor of diff status operation.

Parameters:
  `path` - item path

### getFile

public File getFile()
Returns `File` representation of the working copy item path.

Returns:
  working copy item path as `File`

### setFile

public void setFile(File file)
Sets `File` representation of the working copy item path.

Parameters:
  `file` - working copy item path as `File`